#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 byte-order
version:              0.1.3.1
visibility:           public
id:                   byte-order-0.1.3.1-DBDUb330R0HBdAK99iHlE5
key:                  byte-order-0.1.3.1-DBDUb330R0HBdAK99iHlE5
license:              BSD-3-Clause
copyright:            2019 Andrew Martin
maintainer:           amartin@layer3com.com
author:               Andrew Martin
homepage:             https://github.com/byteverse/byte-order
synopsis:             Portable big-endian and little-endian conversions
description:
    This library provides an interface to portably work with byte
    arrays whose contents are known to be of a fixed endianness.
    There are two ways to use this module. See the `System.ByteOrder`
    module for more documentation.

category:             Data
abi:                  91e8179ff5d9e21b4ce0732ead2aa5a3
exposed:              True
exposed-modules:
    Data.Primitive.ByteArray.BigEndian
    Data.Primitive.ByteArray.LittleEndian Data.Primitive.Ptr.BigEndian
    System.ByteOrder System.ByteOrder.Class

import-dirs:          /usr/lib/ghc-9.2.8/site-local/byte-order-0.1.3.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/byte-order-0.1.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-byte-order
hs-libraries:         HSbyte-order-0.1.3.1-DBDUb330R0HBdAK99iHlE5
depends:
    base-4.16.4.0 primitive-0.7.4.0-1w3GR7mQ1Fh1teJ7kcmZ9k
    primitive-unaligned-0.1.1.2-H0aoN0KXdE4Cr16dvhe3gY
    wide-word-0.1.7.0-JY5bCyqqIjwJyi2GEBxJGC

haddock-interfaces:   /usr/share/doc/haskell-byte-order/html/byte-order.haddock
haddock-html:         /usr/share/doc/haskell-byte-order/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

